Subject: [Geopriv] RIPE 61: Reverse DNS and local service discovery

From: Richard L. Barnes <[email-masked]>
Date: Sat, 27 Nov 2010 14:20:08 -0500

Hey all,

Thought you would be interested in a panel session that was held at RIPE 61 the week after IETF 79.  The topic was reverse DNS for IPv6; I described some of the emerging requirements from GEOPRIV and ALTO, and some folks from the DNS community discussed some other requirements and ways of dealing with them in the DNS.  Slides and transcripts here:
<http://ripe61.ripe.net/programme/meeting-plan/dns-agenda/>

I also gave a presentation in the RIPE Database working group discussing the addition of LIS URIs to the WHOIS database, which could be a better approach to the "third-party" LIS discovery problem than using the reverse DNS tree:
<http://ripe61.ripe.net/programme/meeting-plan/database-agenda/>
For those of you in the APNIC region, a colleague of mine gave a similar presentation at the last APNIC meeting:
<http://meetings.apnic.net/30/program/apops>
I don't think the WHOIS is a good solution to the "first party" LIS discovery problem, if only because the databases aren't really designed to handle the sort of load that would entail.

If you think the Geo-WHOIS stuff would be useful, please get in touch with me off-list.  This is something that is continuing to develop, and I would be glad to have some collaborators.

--Richard